From 933d106f9a182dabea23f0d2a4c14857389b687e Mon Sep 17 00:00:00 2001
From: Robert Marko <robimarko@gmail.com>
Date: Wed, 8 Feb 2023 12:30:42 +0100
Subject: [PATCH] kernel: set default values for ARM low level debugging
 symbols

Set default values for KERNEL_DEBUG_LL and KERNEL_DEBUG_LL_UART_NONE again
as both of these symbols are non visible if KERNEL_EARLY_PRINTK is not
selected and KConfig wont write their value to .config.

This usually is the intended behaviour, but in OpenWrt we are relying on
the KConfig to set these and disable the debug console settings that
multiple targets like mvebu have set in their kernel config.
This was the behaviour before removing all of the "default n" settings
as KConfig by default considers symbols disabled but they are not visible
anymore and thus their value is not set in .config and build system then
later does not override the values from target kernel config.

So, to restore the behaviour to the previous one lets a default value for
KERNEL_DEBUG_LL and KERNEL_DEBUG_LL_UART_NONE.

Fixes: 8bc72ea7be39 ("treewide: strip useless default n Kconfig lines")
Signed-off-by: Robert Marko <robimarko@gmail.com>
Tested-by: Georgi Valkov <gvalkov@gmail.com>
---
 config/Config-kernel.in | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/config/Config-kernel.in b/config/Config-kernel.in
index 500f72672d..6e7a84f597 100644
--- a/config/Config-kernel.in
+++ b/config/Config-kernel.in
@@ -389,10 +389,12 @@ config KERNEL_DEBUG_INFO_REDUCED
 
 config KERNEL_DEBUG_LL_UART_NONE
 	bool
+	default n
 	depends on arm
 
 config KERNEL_DEBUG_LL
 	bool
+	default n
 	depends on arm
 	select KERNEL_DEBUG_LL_UART_NONE
 	help
-- 
2.39.1

